@import 'settings';
@import 'typography';
@import 'mixins';

.MediaItem {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;

    &__wrap {
        position: relative;
        width: 100%;
        height: 100vh;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    &__content {
        position: relative;
        width: 100%;

        img {
            display: block;
            user-select: none;
            -webkit-user-drag: none;

            // object-fit support
            width: 100%;
            height: 100%;
            object-fit: contain;

            @include object-fit(contain);
        }
    }

    &__close {
        position: absolute;
        z-index: $zindex-modal;
        top: 0;
        right: 0;
        padding: 0;
        color: $white !important;

        &:hover {
            color: $blue !important;
        }
    }

    &__caption {
        @include small-type;
        padding: 12px 0;
        text-align: center;
        text-overflow: ellipsis;
        color: $white;

        p {
            margin-bottom: 0;
        }

        a {
            color: $white;
            text-decoration: underline;
        }

        *:last-child {
            margin-bottom: 0;
        }
    }

    &.type-video {
        .video-image {
            position: relative;
            width: auto;
            height: auto;
            max-width: 100%;
            max-height: 100%;

            img {
                max-width: 1280px;
            }
        }

        .play-button {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            padding: 100px;
            line-height: 1;
            border: 0;
            outline: none;
            background: transparent;
            color: $white;
            cursor: pointer;

            .Icon {
                @include play-icon;
            }

            &:hover {
                .Icon {
                    background: $blue;
                    color: $white;
                }
            }
        }

        .Video {
            margin: 0 auto;
            background: $black;
        }
    }

    @media #{$mobile-only} {
        &__close {
            transform: translate(0, -100%);
        }
    }

    @media #{$tablet} {
        &__wrap {
            margin: 0 auto;
            width: calc(100% - 200px);
            max-width: 924px;
        }

        &__close {
            transform: translate(36px, -36px);
        }
    }

    @media #{$desktop} {
        &__wrap {
            max-width: 1024px;
        }
    }

    @media #{$desktop-large} {
        &__wrap {
            max-width: 1100px;
        }
    }
}
